package gui.simulator.facilities;

import gui.simulator.DrawEngine;
import gui.simulator.Images;
import gui.simulator.SimulatorPane;
import gui.simulator.Terrain;

import java.awt.geom.Rectangle2D;
import java.io.Serializable;

public class Fence extends DrawEngine implements Serializable {

	private static Images.ImageType images = Images.ImageType.Fence;
	private static String facilityName = "Fence";

    //TODO Make this invisible
    public Fence(int x, int y, Terrain terrain) {
        super(images, x, y, 1, 0, SimulatorPane.Objects.FENCE, terrain, new Rectangle2D.Double(-10, -10, 280, 50), true);
    }

    public Fence(int x, int y, double scale, double distance, Terrain terrain) {
        super(images, x, y, scale, distance, SimulatorPane.Objects.FENCE, terrain, new Rectangle2D.Double(-10, -10, 280, 50), true);
    }
    
    public String getFacilityName(){
    	return facilityName;
    }
}